+ date
Wed Apr 19 21:29:30 UTC 2023
+ apt-get source --only-source ruby-psych=3.1.0+really3.1.0-1
Reading package lists...
NOTICE: 'ruby-psych' packaging is maintained in the 'Git' version control system at:
https://salsa.debian.org/ruby-team/ruby-psych.git
Please use:
git clone https://salsa.debian.org/ruby-team/ruby-psych.git
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 148 kB of source archives.
Get:1 http://repo.pureos.net/pureos byzantium/main ruby-psych 3.1.0+really3.1.0-1 (dsc) [1963 B]
Get:2 http://repo.pureos.net/pureos byzantium/main ruby-psych 3.1.0+really3.1.0-1 (tar) [137 kB]
Get:3 http://repo.pureos.net/pureos byzantium/main ruby-psych 3.1.0+really3.1.0-1 (diff) [9208 B]
dpkg-source: info: extracting ruby-psych in ruby-psych-3.1.0+really3.1.0
dpkg-source: info: unpacking ruby-psych_3.1.0+really3.1.0.orig.tar.gz
dpkg-source: info: unpacking ruby-psych_3.1.0+really3.1.0-1.debian.tar.xz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: applying 02-Disable-rubygems-and-bundler-usage.patch
dpkg-source: info: applying 0002-Remove-snakeyaml-hardcoded-versions.patch
dpkg-source: info: applying 0003-Disable-ruby-maven.patch
Fetched 148 kB in 0s (659 kB/s)
W: Download is performed unsandboxed as root as file 'ruby-psych_3.1.0+really3.1.0-1.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source ruby-psych=3.1.0+really3.1.0-1
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  ant default-jdk gem2deb gem2deb-test-runner javahelper jruby junit4
  libasm-java libbsf-java libbytelist-java libdirgra-java libhamcrest-java
  libhawtjni-runtime-java libheadius-options-java libinvokebinder-java
  libjansi-java libjansi-native-java libjcodings-java libjffi-java libjffi-jni
  libjitescript-java libjna-java libjna-jni libjna-platform-java
  libjnr-constants-java libjnr-enxio-java libjnr-ffi-java libjnr-netdb-java
  libjnr-posix-java libjnr-unixsocket-java libjnr-x86asm-java
  libjoda-time-java libjruby-joni-java libjzlib-java libmodulator-java
  libosgi-annotation-java libosgi-core-java libpsych-java libruby2.7
  libunsafe-fences-java libunsafe-mock-java libyaml-dev nailgun openjdk-11-jdk
  rake rake-compiler ruby ruby-all-dev ruby-diff-lcs ruby-jar-dependencies
  ruby-minitest ruby-net-telnet ruby-power-assert ruby-rspec ruby-rspec-core
  ruby-rspec-expectations ruby-rspec-mocks ruby-rspec-support ruby-rubygems
  ruby-test-unit ruby-xmlrpc ruby2.7 ruby2.7-dev rubygems-integration
0 upgraded, 64 newly installed, 0 to remove and 0 not upgraded.
Need to get 59.8 MB of archives.
After this operation, 93.8 MB of additional disk space will be used.
Get:1 http://repo.pureos.net/pureos byzantium/main amd64 ant all 1.10.9-4 [2118 kB]
Get:2 http://repo.pureos.net/pureos byzantium-security/main amd64 openjdk-11-jdk amd64 11.0.18+10-1~deb11u1 [13.4 kB]
Get:3 http://repo.pureos.net/pureos byzantium/main amd64 default-jdk amd64 2:1.11-72 [1056 B]
Get:4 http://repo.pureos.net/pureos byzantium/main amd64 rubygems-integration all 1.18 [6704 B]
Get:5 http://repo.pureos.net/pureos byzantium/main amd64 ruby-minitest all 5.13.0-1 [57.3 kB]
Get:6 http://repo.pureos.net/pureos byzantium/main amd64 ruby-net-telnet all 0.1.1-2 [12.5 kB]
Get:7 http://repo.pureos.net/pureos byzantium/main amd64 ruby-power-assert all 1.1.7-2 [11.5 kB]
Get:8 http://repo.pureos.net/pureos byzantium/main amd64 ruby-test-unit all 3.3.9-1 [86.1 kB]
Get:9 http://repo.pureos.net/pureos byzantium/main amd64 ruby-xmlrpc all 0.3.0-2 [23.7 kB]
Get:10 http://repo.pureos.net/pureos byzantium/main amd64 libruby2.7 amd64 2.7.4-1+deb11u1 [4202 kB]
Get:11 http://repo.pureos.net/pureos byzantium/main amd64 ruby2.7 amd64 2.7.4-1+deb11u1 [747 kB]
Get:12 http://repo.pureos.net/pureos byzantium/main amd64 ruby-rubygems all 3.2.5-2 [281 kB]
Get:13 http://repo.pureos.net/pureos byzantium/main amd64 ruby amd64 1:2.7+2 [11.7 kB]
Get:14 http://repo.pureos.net/pureos byzantium/main amd64 rake all 13.0.3-1 [84.7 kB]
Get:15 http://repo.pureos.net/pureos byzantium/main amd64 gem2deb-test-runner amd64 1.4 [26.2 kB]
Get:16 http://repo.pureos.net/pureos byzantium/main amd64 ruby2.7-dev amd64 2.7.4-1+deb11u1 [834 kB]
Get:17 http://repo.pureos.net/pureos byzantium/main amd64 ruby-all-dev amd64 1:2.7+2 [11.7 kB]
Get:18 http://repo.pureos.net/pureos byzantium/main amd64 gem2deb amd64 1.4 [62.1 kB]
Get:19 http://repo.pureos.net/pureos byzantium/main amd64 javahelper all 0.78 [97.2 kB]
Get:20 http://repo.pureos.net/pureos byzantium/main amd64 libhamcrest-java all 1.3-9 [388 kB]
Get:21 http://repo.pureos.net/pureos byzantium/main amd64 junit4 all 4.13.1-2 [347 kB]
Get:22 http://repo.pureos.net/pureos byzantium/main amd64 libasm-java all 9.1-1 [379 kB]
Get:23 http://repo.pureos.net/pureos byzantium/main amd64 libbsf-java all 1:2.4.0-8 [76.3 kB]
Get:24 http://repo.pureos.net/pureos byzantium/main amd64 libjcodings-java all 1.0.55-1 [1453 kB]
Get:25 http://repo.pureos.net/pureos byzantium/main amd64 libbytelist-java all 1.0.15-1 [17.5 kB]
Get:26 http://repo.pureos.net/pureos byzantium/main amd64 libdirgra-java all 0.3-1.1 [20.7 kB]
Get:27 http://repo.pureos.net/pureos byzantium/main amd64 libheadius-options-java all 1.4-2 [17.0 kB]
Get:28 http://repo.pureos.net/pureos byzantium/main amd64 libinvokebinder-java all 1.7-2 [41.3 kB]
Get:29 http://repo.pureos.net/pureos byzantium/main amd64 libhawtjni-runtime-java all 1.17-1 [35.3 kB]
Get:30 http://repo.pureos.net/pureos byzantium/main amd64 libjansi-native-java all 1.8-1 [26.0 kB]
Get:31 http://repo.pureos.net/pureos byzantium/main amd64 libjansi-java all 1.18-1 [66.6 kB]
Get:32 http://repo.pureos.net/pureos byzantium/main amd64 libjffi-jni amd64 1.2.7-11+b1 [26.3 kB]
Get:33 http://repo.pureos.net/pureos byzantium/main amd64 libjitescript-java all 0.4.1-3 [23.7 kB]
Get:34 http://repo.pureos.net/pureos byzantium/main amd64 libjoda-time-java all 2.10.10-1 [535 kB]
Get:35 http://repo.pureos.net/pureos byzantium/main amd64 libjnr-constants-java all 0.10.1-1 [770 kB]
Get:36 http://repo.pureos.net/pureos byzantium/main amd64 libjffi-java all 1.2.7-11 [137 kB]
Get:37 http://repo.pureos.net/pureos byzantium/main amd64 libjnr-x86asm-java all 1.0.2-5.1 [207 kB]
Get:38 http://repo.pureos.net/pureos byzantium/main amd64 libjnr-ffi-java all 2.1.7-1 [580 kB]
Get:39 http://repo.pureos.net/pureos byzantium/main amd64 libjnr-enxio-java all 0.32.3-2 [31.9 kB]
Get:40 http://repo.pureos.net/pureos byzantium/main amd64 libjnr-netdb-java all 1.1.6-1.1 [58.8 kB]
Get:41 http://repo.pureos.net/pureos byzantium/main amd64 libjnr-posix-java all 3.0.45-2 [225 kB]
Get:42 http://repo.pureos.net/pureos byzantium/main amd64 libjnr-unixsocket-java all 0.18-4 [43.9 kB]
Get:43 http://repo.pureos.net/pureos byzantium/main amd64 libjruby-joni-java all 2.1.41-1 [211 kB]
Get:44 http://repo.pureos.net/pureos byzantium/main amd64 libjzlib-java all 1.1.3-2 [80.0 kB]
Get:45 http://repo.pureos.net/pureos byzantium/main amd64 libmodulator-java all 1.0-3 [5696 B]
Get:46 http://repo.pureos.net/pureos byzantium/main amd64 libosgi-annotation-java all 7.0.0-2 [10.1 kB]
Get:47 http://repo.pureos.net/pureos byzantium/main amd64 libosgi-core-java all 7.0.0-2 [157 kB]
Get:48 http://repo.pureos.net/pureos byzantium/main amd64 libpsych-java all 3.1.0+really3.1.0-1 [26.3 kB]
Get:49 http://repo.pureos.net/pureos byzantium/main amd64 libunsafe-fences-java all 1.0-1.1 [5040 B]
Get:50 http://repo.pureos.net/pureos byzantium/main amd64 libunsafe-mock-java all 8.0-3 [8128 B]
Get:51 http://repo.pureos.net/pureos byzantium/main amd64 libjna-jni amd64 5.6.0-1 [60.9 kB]
Get:52 http://repo.pureos.net/pureos byzantium/main amd64 libjna-java all 5.6.0-1 [223 kB]
Get:53 http://repo.pureos.net/pureos byzantium/main amd64 libjna-platform-java all 5.6.0-1 [1107 kB]
Get:54 http://repo.pureos.net/pureos byzantium/main amd64 nailgun amd64 0.9.3-3+b1 [68.5 kB]
Get:55 http://repo.pureos.net/pureos byzantium/main amd64 ruby-jar-dependencies all 0.3.10-2 [16.1 kB]
Get:56 http://repo.pureos.net/pureos byzantium/main amd64 jruby all 9.1.17.0-3 [43.1 MB]
Get:57 http://repo.pureos.net/pureos byzantium/main amd64 libyaml-dev amd64 0.2.2-1 [60.1 kB]
Get:58 http://repo.pureos.net/pureos byzantium/main amd64 ruby-rspec-support all 3.9.0c2e2m1s3-2 [30.8 kB]
Get:59 http://repo.pureos.net/pureos byzantium/main amd64 ruby-rspec-core all 3.9.0c2e2m1s3-2 [163 kB]
Get:60 http://repo.pureos.net/pureos byzantium/main amd64 ruby-diff-lcs all 1.4.4-1 [35.9 kB]
Get:61 http://repo.pureos.net/pureos byzantium/main amd64 ruby-rspec-expectations all 3.9.0c2e2m1s3-2 [89.9 kB]
Get:62 http://repo.pureos.net/pureos byzantium/main amd64 ruby-rspec-mocks all 3.9.0c2e2m1s3-2 [81.4 kB]
Get:63 http://repo.pureos.net/pureos byzantium/main amd64 ruby-rspec all 3.9.0c2e2m1s3-2 [8348 B]
Get:64 http://repo.pureos.net/pureos byzantium/main amd64 rake-compiler all 1.1.1-1 [29.2 kB]
Fetched 59.8 MB in 2s (25.3 MB/s)
Selecting previously unselected package ant.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 102989 files and directories currently installed.)
Preparing to unpack .../00-ant_1.10.9-4_all.deb ...
Unpacking ant (1.10.9-4) ...
Selecting previously unselected package openjdk-11-jdk:amd64.
Preparing to unpack .../01-openjdk-11-jdk_11.0.18+10-1~deb11u1_amd64.deb ...
Unpacking openjdk-11-jdk:amd64 (11.0.18+10-1~deb11u1) ...
Selecting previously unselected package default-jdk.
Preparing to unpack .../02-default-jdk_2%3a1.11-72_amd64.deb ...
Unpacking default-jdk (2:1.11-72) ...
Selecting previously unselected package rubygems-integration.
Preparing to unpack .../03-rubygems-integration_1.18_all.deb ...
Unpacking rubygems-integration (1.18) ...
Selecting previously unselected package ruby-minitest.
Preparing to unpack .../04-ruby-minitest_5.13.0-1_all.deb ...
Unpacking ruby-minitest (5.13.0-1) ...
Selecting previously unselected package ruby-net-telnet.
Preparing to unpack .../05-ruby-net-telnet_0.1.1-2_all.deb ...
Unpacking ruby-net-telnet (0.1.1-2) ...
Selecting previously unselected package ruby-power-assert.
Preparing to unpack .../06-ruby-power-assert_1.1.7-2_all.deb ...
Unpacking ruby-power-assert (1.1.7-2) ...
Selecting previously unselected package ruby-test-unit.
Preparing to unpack .../07-ruby-test-unit_3.3.9-1_all.deb ...
Unpacking ruby-test-unit (3.3.9-1) ...
Selecting previously unselected package ruby-xmlrpc.
Preparing to unpack .../08-ruby-xmlrpc_0.3.0-2_all.deb ...
Unpacking ruby-xmlrpc (0.3.0-2) ...
Selecting previously unselected package libruby2.7:amd64.
Preparing to unpack .../09-libruby2.7_2.7.4-1+deb11u1_amd64.deb ...
Unpacking libruby2.7:amd64 (2.7.4-1+deb11u1) ...
Selecting previously unselected package ruby2.7.
Preparing to unpack .../10-ruby2.7_2.7.4-1+deb11u1_amd64.deb ...
Unpacking ruby2.7 (2.7.4-1+deb11u1) ...
Selecting previously unselected package ruby-rubygems.
Preparing to unpack .../11-ruby-rubygems_3.2.5-2_all.deb ...
Unpacking ruby-rubygems (3.2.5-2) ...
Selecting previously unselected package ruby.
Preparing to unpack .../12-ruby_1%3a2.7+2_amd64.deb ...
Unpacking ruby (1:2.7+2) ...
Selecting previously unselected package rake.
Preparing to unpack .../13-rake_13.0.3-1_all.deb ...
Unpacking rake (13.0.3-1) ...
Selecting previously unselected package gem2deb-test-runner.
Preparing to unpack .../14-gem2deb-test-runner_1.4_amd64.deb ...
Unpacking gem2deb-test-runner (1.4) ...
Selecting previously unselected package ruby2.7-dev:amd64.
Preparing to unpack .../15-ruby2.7-dev_2.7.4-1+deb11u1_amd64.deb ...
Unpacking ruby2.7-dev:amd64 (2.7.4-1+deb11u1) ...
Selecting previously unselected package ruby-all-dev:amd64.
Preparing to unpack .../16-ruby-all-dev_1%3a2.7+2_amd64.deb ...
Unpacking ruby-all-dev:amd64 (1:2.7+2) ...
Selecting previously unselected package gem2deb.
Preparing to unpack .../17-gem2deb_1.4_amd64.deb ...
Unpacking gem2deb (1.4) ...
Selecting previously unselected package javahelper.
Preparing to unpack .../18-javahelper_0.78_all.deb ...
Unpacking javahelper (0.78) ...
Selecting previously unselected package libhamcrest-java.
Preparing to unpack .../19-libhamcrest-java_1.3-9_all.deb ...
Unpacking libhamcrest-java (1.3-9) ...
Selecting previously unselected package junit4.
Preparing to unpack .../20-junit4_4.13.1-2_all.deb ...
Unpacking junit4 (4.13.1-2) ...
Selecting previously unselected package libasm-java.
Preparing to unpack .../21-libasm-java_9.1-1_all.deb ...
Unpacking libasm-java (9.1-1) ...
Selecting previously unselected package libbsf-java.
Preparing to unpack .../22-libbsf-java_1%3a2.4.0-8_all.deb ...
Unpacking libbsf-java (1:2.4.0-8) ...
Selecting previously unselected package libjcodings-java.
Preparing to unpack .../23-libjcodings-java_1.0.55-1_all.deb ...
Unpacking libjcodings-java (1.0.55-1) ...
Selecting previously unselected package libbytelist-java.
Preparing to unpack .../24-libbytelist-java_1.0.15-1_all.deb ...
Unpacking libbytelist-java (1.0.15-1) ...
Selecting previously unselected package libdirgra-java.
Preparing to unpack .../25-libdirgra-java_0.3-1.1_all.deb ...
Unpacking libdirgra-java (0.3-1.1) ...
Selecting previously unselected package libheadius-options-java.
Preparing to unpack .../26-libheadius-options-java_1.4-2_all.deb ...
Unpacking libheadius-options-java (1.4-2) ...
Selecting previously unselected package libinvokebinder-java.
Preparing to unpack .../27-libinvokebinder-java_1.7-2_all.deb ...
Unpacking libinvokebinder-java (1.7-2) ...
Selecting previously unselected package libhawtjni-runtime-java.
Preparing to unpack .../28-libhawtjni-runtime-java_1.17-1_all.deb ...
Unpacking libhawtjni-runtime-java (1.17-1) ...
Selecting previously unselected package libjansi-native-java.
Preparing to unpack .../29-libjansi-native-java_1.8-1_all.deb ...
Unpacking libjansi-native-java (1.8-1) ...
Selecting previously unselected package libjansi-java.
Preparing to unpack .../30-libjansi-java_1.18-1_all.deb ...
Unpacking libjansi-java (1.18-1) ...
Selecting previously unselected package libjffi-jni:amd64.
Preparing to unpack .../31-libjffi-jni_1.2.7-11+b1_amd64.deb ...
Unpacking libjffi-jni:amd64 (1.2.7-11+b1) ...
Selecting previously unselected package libjitescript-java.
Preparing to unpack .../32-libjitescript-java_0.4.1-3_all.deb ...
Unpacking libjitescript-java (0.4.1-3) ...
Selecting previously unselected package libjoda-time-java.
Preparing to unpack .../33-libjoda-time-java_2.10.10-1_all.deb ...
Unpacking libjoda-time-java (2.10.10-1) ...
Selecting previously unselected package libjnr-constants-java.
Preparing to unpack .../34-libjnr-constants-java_0.10.1-1_all.deb ...
Unpacking libjnr-constants-java (0.10.1-1) ...
Selecting previously unselected package libjffi-java.
Preparing to unpack .../35-libjffi-java_1.2.7-11_all.deb ...
Unpacking libjffi-java (1.2.7-11) ...
Selecting previously unselected package libjnr-x86asm-java.
Preparing to unpack .../36-libjnr-x86asm-java_1.0.2-5.1_all.deb ...
Unpacking libjnr-x86asm-java (1.0.2-5.1) ...
Selecting previously unselected package libjnr-ffi-java.
Preparing to unpack .../37-libjnr-ffi-java_2.1.7-1_all.deb ...
Unpacking libjnr-ffi-java (2.1.7-1) ...
Selecting previously unselected package libjnr-enxio-java.
Preparing to unpack .../38-libjnr-enxio-java_0.32.3-2_all.deb ...
Unpacking libjnr-enxio-java (0.32.3-2) ...
Selecting previously unselected package libjnr-netdb-java.
Preparing to unpack .../39-libjnr-netdb-java_1.1.6-1.1_all.deb ...
Unpacking libjnr-netdb-java (1.1.6-1.1) ...
Selecting previously unselected package libjnr-posix-java.
Preparing to unpack .../40-libjnr-posix-java_3.0.45-2_all.deb ...
Unpacking libjnr-posix-java (3.0.45-2) ...
Selecting previously unselected package libjnr-unixsocket-java.
Preparing to unpack .../41-libjnr-unixsocket-java_0.18-4_all.deb ...
Unpacking libjnr-unixsocket-java (0.18-4) ...
Selecting previously unselected package libjruby-joni-java.
Preparing to unpack .../42-libjruby-joni-java_2.1.41-1_all.deb ...
Unpacking libjruby-joni-java (2.1.41-1) ...
Selecting previously unselected package libjzlib-java.
Preparing to unpack .../43-libjzlib-java_1.1.3-2_all.deb ...
Unpacking libjzlib-java (1.1.3-2) ...
Selecting previously unselected package libmodulator-java.
Preparing to unpack .../44-libmodulator-java_1.0-3_all.deb ...
Unpacking libmodulator-java (1.0-3) ...
Selecting previously unselected package libosgi-annotation-java.
Preparing to unpack .../45-libosgi-annotation-java_7.0.0-2_all.deb ...
Unpacking libosgi-annotation-java (7.0.0-2) ...
Selecting previously unselected package libosgi-core-java.
Preparing to unpack .../46-libosgi-core-java_7.0.0-2_all.deb ...
Unpacking libosgi-core-java (7.0.0-2) ...
Selecting previously unselected package libpsych-java.
Preparing to unpack .../47-libpsych-java_3.1.0+really3.1.0-1_all.deb ...
Unpacking libpsych-java (3.1.0+really3.1.0-1) ...
Selecting previously unselected package libunsafe-fences-java.
Preparing to unpack .../48-libunsafe-fences-java_1.0-1.1_all.deb ...
Unpacking libunsafe-fences-java (1.0-1.1) ...
Selecting previously unselected package libunsafe-mock-java.
Preparing to unpack .../49-libunsafe-mock-java_8.0-3_all.deb ...
Unpacking libunsafe-mock-java (8.0-3) ...
Selecting previously unselected package libjna-jni.
Preparing to unpack .../50-libjna-jni_5.6.0-1_amd64.deb ...
Unpacking libjna-jni (5.6.0-1) ...
Selecting previously unselected package libjna-java.
Preparing to unpack .../51-libjna-java_5.6.0-1_all.deb ...
Unpacking libjna-java (5.6.0-1) ...
Selecting previously unselected package libjna-platform-java.
Preparing to unpack .../52-libjna-platform-java_5.6.0-1_all.deb ...
Unpacking libjna-platform-java (5.6.0-1) ...
Selecting previously unselected package nailgun.
Preparing to unpack .../53-nailgun_0.9.3-3+b1_amd64.deb ...
Unpacking nailgun (0.9.3-3+b1) ...
Selecting previously unselected package ruby-jar-dependencies.
Preparing to unpack .../54-ruby-jar-dependencies_0.3.10-2_all.deb ...
Unpacking ruby-jar-dependencies (0.3.10-2) ...
Selecting previously unselected package jruby.
Preparing to unpack .../55-jruby_9.1.17.0-3_all.deb ...
Unpacking jruby (9.1.17.0-3) ...
Selecting previously unselected package libyaml-dev:amd64.
Preparing to unpack .../56-libyaml-dev_0.2.2-1_amd64.deb ...
Unpacking libyaml-dev:amd64 (0.2.2-1) ...
Selecting previously unselected package ruby-rspec-support.
Preparing to unpack .../57-ruby-rspec-support_3.9.0c2e2m1s3-2_all.deb ...
Unpacking ruby-rspec-support (3.9.0c2e2m1s3-2) ...
Selecting previously unselected package ruby-rspec-core.
Preparing to unpack .../58-ruby-rspec-core_3.9.0c2e2m1s3-2_all.deb ...
Unpacking ruby-rspec-core (3.9.0c2e2m1s3-2) ...
Selecting previously unselected package ruby-diff-lcs.
Preparing to unpack .../59-ruby-diff-lcs_1.4.4-1_all.deb ...
Unpacking ruby-diff-lcs (1.4.4-1) ...
Selecting previously unselected package ruby-rspec-expectations.
Preparing to unpack .../60-ruby-rspec-expectations_3.9.0c2e2m1s3-2_all.deb ...
Unpacking ruby-rspec-expectations (3.9.0c2e2m1s3-2) ...
Selecting previously unselected package ruby-rspec-mocks.
Preparing to unpack .../61-ruby-rspec-mocks_3.9.0c2e2m1s3-2_all.deb ...
Unpacking ruby-rspec-mocks (3.9.0c2e2m1s3-2) ...
Selecting previously unselected package ruby-rspec.
Preparing to unpack .../62-ruby-rspec_3.9.0c2e2m1s3-2_all.deb ...
Unpacking ruby-rspec (3.9.0c2e2m1s3-2) ...
Selecting previously unselected package rake-compiler.
Preparing to unpack .../63-rake-compiler_1.1.1-1_all.deb ...
Unpacking rake-compiler (1.1.1-1) ...
Setting up libunsafe-mock-java (8.0-3) ...
Setting up libyaml-dev:amd64 (0.2.2-1) ...
Setting up ruby-power-assert (1.1.7-2) ...
Setting up libasm-java (9.1-1) ...
Setting up libmodulator-java (1.0-3) ...
Setting up rubygems-integration (1.18) ...
Setting up libheadius-options-java (1.4-2) ...
Setting up libjnr-x86asm-java (1.0.2-5.1) ...
Setting up libjzlib-java (1.1.3-2) ...
Setting up ruby-minitest (5.13.0-1) ...
Setting up libjitescript-java (0.4.1-3) ...
Setting up libbsf-java (1:2.4.0-8) ...
Setting up libosgi-annotation-java (7.0.0-2) ...
Setting up ruby-test-unit (3.3.9-1) ...
Setting up ruby-net-telnet (0.1.1-2) ...
Setting up libjna-jni (5.6.0-1) ...
Setting up ant (1.10.9-4) ...
Setting up libhamcrest-java (1.3-9) ...
Setting up ruby-rspec-support (3.9.0c2e2m1s3-2) ...
Setting up libjoda-time-java (2.10.10-1) ...
Setting up libjcodings-java (1.0.55-1) ...
Setting up libbytelist-java (1.0.15-1) ...
Setting up libjna-java (5.6.0-1) ...
Setting up openjdk-11-jdk:amd64 (11.0.18+10-1~deb11u1) ...
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jconsole to provide /usr/bin/jconsole (jconsole) in auto mode
Setting up libinvokebinder-java (1.7-2) ...
Setting up libjffi-jni:amd64 (1.2.7-11+b1) ...
Setting up libunsafe-fences-java (1.0-1.1) ...
Setting up javahelper (0.78) ...
Setting up ruby-xmlrpc (0.3.0-2) ...
Setting up libhawtjni-runtime-java (1.17-1) ...
Setting up libdirgra-java (0.3-1.1) ...
Setting up junit4 (4.13.1-2) ...
Setting up libjnr-constants-java (0.10.1-1) ...
Setting up libjffi-java (1.2.7-11) ...
Setting up libosgi-core-java (7.0.0-2) ...
Setting up libjruby-joni-java (2.1.41-1) ...
Setting up libpsych-java (3.1.0+really3.1.0-1) ...
Setting up libjna-platform-java (5.6.0-1) ...
Setting up default-jdk (2:1.11-72) ...
Setting up libjansi-native-java (1.8-1) ...
Setting up nailgun (0.9.3-3+b1) ...
Setting up libjnr-ffi-java (2.1.7-1) ...
Setting up libjnr-enxio-java (0.32.3-2) ...
Setting up libjansi-java (1.18-1) ...
Setting up libjnr-netdb-java (1.1.6-1.1) ...
Setting up libjnr-posix-java (3.0.45-2) ...
Setting up libjnr-unixsocket-java (0.18-4) ...
Setting up rake (13.0.3-1) ...
Setting up libruby2.7:amd64 (2.7.4-1+deb11u1) ...
Setting up ruby2.7-dev:amd64 (2.7.4-1+deb11u1) ...
Setting up ruby2.7 (2.7.4-1+deb11u1) ...
Setting up ruby-all-dev:amd64 (1:2.7+2) ...
Setting up ruby (1:2.7+2) ...
Setting up ruby-rspec-core (3.9.0c2e2m1s3-2) ...
Setting up ruby-diff-lcs (1.4.4-1) ...
Setting up ruby-jar-dependencies (0.3.10-2) ...
Setting up ruby-rubygems (3.2.5-2) ...
Setting up jruby (9.1.17.0-3) ...
Setting up gem2deb-test-runner (1.4) ...
Setting up ruby-rspec-expectations (3.9.0c2e2m1s3-2) ...
Setting up ruby-rspec-mocks (3.9.0c2e2m1s3-2) ...
Setting up gem2deb (1.4) ...
Setting up ruby-rspec (3.9.0c2e2m1s3-2) ...
Setting up rake-compiler (1.1.1-1) ...
Processing triggers for libc-bin (2.31-13+deb11u5) ...
Processing triggers for man-db (2.9.4-2) ...
+ find . -maxdepth 1 -name ruby-psych* -type d
+ cd ./ruby-psych-3.1.0+really3.1.0
+ eatmydata env DEB_BUILD_OPTIONS=noautodbgsym dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package ruby-psych
dpkg-buildpackage: info: source version 3.1.0+really3.1.0-1
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Cédric Boutillier <boutil@debian.org>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean --buildsystem=ruby --with ruby
   debian/rules override_dh_auto_clean-indep
make[1]: Entering directory '/build/ruby-psych/ruby-psych-3.1.0+really3.1.0'
jruby -S rake clean
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by jnr.posix.JavaLibCHelper$ReflectiveAccess to method sun.nio.ch.SelChImpl.getFD()
WARNING: Please consider reporting this to the maintainers of jnr.posix.JavaLibCHelper$ReflectiveAccess
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
NameError: undefined method `default_specifications_dir' for class `#<Class:0x62679465>'
  singleton class at /usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:93
           <main> at /usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:67
          require at org/jruby/RubyKernel.java:956
           <main> at /usr/share/jruby/lib/ruby/stdlib/rubygems.rb:1
          require at org/jruby/RubyKernel.java:956
           <main> at /usr/share/jruby/lib/ruby/stdlib/rubygems.rb:1347
             load at org/jruby/RubyKernel.java:974
           <main> at uri:classloader:/jruby/kernel/gem_prelude.rb:1
make[1]: [debian/rules:31: override_dh_auto_clean-indep] Error 1 (ignored)
rm -r ./pkg/ ./lib/psych.jar ./tmp/
rm: cannot remove './pkg/': No such file or directory
rm: cannot remove './lib/psych.jar': No such file or directory
rm: cannot remove './tmp/': No such file or directory
make[1]: [debian/rules:32: override_dh_auto_clean-indep] Error 1 (ignored)
make[1]: Leaving directory '/build/ruby-psych/ruby-psych-3.1.0+really3.1.0'
   dh_auto_clean -O--buildsystem=ruby -Nlibpsych-java
	dh_ruby --clean
   dh_ruby --clean
   dh_autoreconf_clean -O--buildsystem=ruby
   dh_clean -O--buildsystem=ruby
 dpkg-source -b .
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building ruby-psych using existing ./ruby-psych_3.1.0+really3.1.0.orig.tar.gz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: building ruby-psych in ruby-psych_3.1.0+really3.1.0-1.debian.tar.xz
dpkg-source: info: building ruby-psych in ruby-psych_3.1.0+really3.1.0-1.dsc
 debian/rules build
dh build --buildsystem=ruby --with ruby
   dh_update_autotools_config -O--buildsystem=ruby
   dh_autoreconf -O--buildsystem=ruby
   dh_auto_configure -O--buildsystem=ruby
	dh_ruby --configure
   debian/rules override_dh_auto_build-indep
make[1]: Entering directory '/build/ruby-psych/ruby-psych-3.1.0+really3.1.0'
JRUBY_HOME=/usr/share/jruby jruby -S rake compile
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by jnr.posix.JavaLibCHelper$ReflectiveAccess to method sun.nio.ch.SelChImpl.getFD()
WARNING: Please consider reporting this to the maintainers of jnr.posix.JavaLibCHelper$ReflectiveAccess
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
NameError: undefined method `default_specifications_dir' for class `#<Class:0x6865c751>'
  singleton class at /usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:93
           <main> at /usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:67
          require at org/jruby/RubyKernel.java:956
           <main> at /usr/share/jruby/lib/ruby/stdlib/rubygems.rb:1
          require at org/jruby/RubyKernel.java:956
           <main> at /usr/share/jruby/lib/ruby/stdlib/rubygems.rb:1347
             load at org/jruby/RubyKernel.java:974
           <main> at uri:classloader:/jruby/kernel/gem_prelude.rb:1
make[1]: *** [debian/rules:12: override_dh_auto_build-indep] Error 1
make[1]: Leaving directory '/build/ruby-psych/ruby-psych-3.1.0+really3.1.0'
make: *** [debian/rules:9: build] Error 2
dpkg-buildpackage: error: debian/rules build subprocess returned exit status 2
